net.sf.jasperreports.charts.xml

## Class JRThermometerPlotFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.charts.xml.JRThermometerPlotFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRThermometerPlotFactory
      extends JRBaseFactory

  Version:
    $Id: JRThermometerPlotFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_mercuryColor`
    `static java.lang.String` | `ATTRIBUTE_showValueLines` Deprecated. No longer used.
    `static java.lang.String` | `ATTRIBUTE_valueLocation`
    `static java.lang.String` | `ELEMENT_highRange`
    `static java.lang.String` | `ELEMENT_lowRange`
    `static java.lang.String` | `ELEMENT_mediumRange`
    `static java.lang.String` | `ELEMENT_thermometerPlot`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRThermometerPlotFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_thermometerPlot

          public static final java.lang.String ELEMENT_thermometerPlot

      See Also:
        Constant Field Values

    - #### ELEMENT_lowRange

          public static final java.lang.String ELEMENT_lowRange

      See Also:
        Constant Field Values

    - #### ELEMENT_mediumRange

          public static final java.lang.String ELEMENT_mediumRange

      See Also:
        Constant Field Values

    - #### ELEMENT_highRange

          public static final java.lang.String ELEMENT_highRange

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_showValueLines

          public static final java.lang.String ATTRIBUTE_showValueLines

      Deprecated. No longer used.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_valueLocation

          public static final java.lang.String ATTRIBUTE_valueLocation

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_mercuryColor

          public static final java.lang.String ATTRIBUTE_mercuryColor

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRThermometerPlotFactory

          public JRThermometerPlotFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)
                                        throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com